GET
/status/componentsList status components
Returns all status components (grouped and ungrouped), flattened. Deprecated: use the `/status/services` path — the workspace-facing name for a component is "service". This path keeps working unchanged.
Response
List of status components
Returns an array of objects:
| Field | Type | Description |
|---|---|---|
idrequired | string | TypeID - a type-prefixed UUID |
groupIdrequired | string | null | |
namerequired | string | |
descriptionrequired | stringnull | |
statusrequired | "operational" | "degraded_performance" | "partial_outage" | "major_outage" | "under_maintenance" | Component status |
positionrequired | number | |
showUptimerequired | boolean | |
segmentIdsrequired | string[] |
meta
| Field | Type | Description |
|---|---|---|
paginationrequired | object |
Errors
401UnauthorizedExample request
curl \
"https://feedback.quackback.io/api/v1/status/components" \
-H "Authorization: Bearer qb_your_api_key_here"